Amazon Linux 2 : ncurses (ALAS-2018-1053)

Medium Nessus Plugin ID 111607

Synopsis

The remote Amazon Linux 2 host is missing a security update.

Description

A NULL pointer dereference was found in the way the _nc_parse_entry function parses terminfo data for compilation. An attacker able to provide specially crafted terminfo data could use this flaw to crash the application parsing it.(CVE-2018-10754)

Solution

Run 'yum update ncurses' to update your system.

See Also

https://alas.aws.amazon.com/AL2/ALAS-2018-1053.html

Plugin Details

Severity: Medium

ID: 111607

File Name: al2_ALAS-2018-1053.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/08/10

Modified: 2018/08/10

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:amazon:linux:ncurses, p-cpe:/a:amazon:linux:ncurses-base, p-cpe:/a:amazon:linux:ncurses-c++-libs, p-cpe:/a:amazon:linux:ncurses-compat-libs, p-cpe:/a:amazon:linux:ncurses-debuginfo, p-cpe:/a:amazon:linux:ncurses-devel, p-cpe:/a:amazon:linux:ncurses-libs, p-cpe:/a:amazon:linux:ncurses-static, p-cpe:/a:amazon:linux:ncurses-term, cpe:/o:amazon:linux:2

Required KB Items: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

Patch Publication Date: 2018/08/08

Reference Information

CVE: CVE-2018-10754

ALAS: 2018-1053